Loading...
Searching...
No Matches
message.h File Reference
`#include <memory>`
`#include "MQTTAsync.h"`
`#include "mqtt/buffer_ref.h"`
`#include "mqtt/exception.h"`
`#include "mqtt/platform.h"`
`#include "mqtt/properties.h"`

Go to the source code of this file.

## Data Structures

class | mqtt::message
class | mqtt::message_ptr_builder

## Namespaces

namespace | mqtt

## Typedefs

using | mqtt::message_ptr = message::ptr_t
using | mqtt::const_message_ptr = message::const_ptr_t

## Functions

message_ptr | mqtt::make_message (string_ref topic, const void *payload, size_t len, int qos, bool retained, const properties &props=properties())
message_ptr | mqtt::make_message (string_ref topic, const void *payload, size_t len)
message_ptr | mqtt::make_message (string_ref topic, binary_ref payload, int qos, bool retained, const properties &props=properties())
message_ptr | mqtt::make_message (string_ref topic, binary_ref payload)

## Detailed Description

Declaration of MQTT message class

Date
  May 1, 2013

Author
  Frank Pagliughi